webdevqa.jp.net

Vagrant:ネットワークタイプ「bridged」は無効です。有効なネットワークタイプを使用してください

誰もが私が次のエラーを受け取っている理由を説明できますか

"Vagrant:ネットワークタイプ 'bridged'は無効です。有効なネットワークタイプを使用してください。"

次のVagrantfileを使用してVirtual Boxでvagrantを起動しようとすると

# -*- mode: Ruby -*-    
# vi: set ft=Ruby :

Vagrant.configure("2") do |config|
  config.vm.hostname = "gitserver"
  config.berkshelf.enabled = true
  config.vm.box = "centos57"
  config.vm.box_url = "http://xx.xx.xx.xx/os/centos-5.7-x86_64.box"
  config.vm.network :bridged, :bridge => 'eth0'

  # Provision VM using chef
  config.vm.provision :chef_solo do |chef|
    chef.cookbooks_path = "cookbooks"
    chef.add_recipe "mysqlserver"
  end

  config.vm.customize ["modifyvm", :id, "--memory", 1024]
end

私はブリッジ構成で可能なすべての組み合わせを試しましたが、それは単にそれが好きではありません。理由に関する追加情報は見つかりません。ここでどんな助けもいただければ幸いです。

20
Noel King

:bridgeの代わりにVagrant設定ファイルバージョン2(したがってVagrant 1.1+)を使用しているため、新しいタイプ :public_network が追加されました。

37
cmur2

V1コードを使用するには、次のようにconfig 1ブロックに挿入します。

Vagrant.configure("1") do |config|
    config.vm.network :bridged, :bridge => 'eth0'
end
9
bfitzpatrick

Vagrant 1.3.5の場合、以下が使用されます。

config.vm.network:public_network、bridge: "en0:Wi-Fi(AirPort)"

それは私のために働いた。

5
Rubens Dourado

https://www.virtualbox.org/wiki/Linux_Downloads からVirtualbox VirtualBox 4.1.24を使用してubuntu 10.04にvagrantをインストールしてから、最新バージョンのvagrantをダウンロードします。

$ vagrant -v
Vagrant version 1.2.2

$ dpkg -l virtualbox*
ii  virtualbox-4.1 4.1.26-84997~U Oracle VM VirtualBox

ブリッジネットワーク、具体的にはwifiを使用するために、内部に以下の行を追加しましたVagrantfile

 config.vm.network :public_network, :public_network => "wlan0"

あなたがするとき

 $ vagrant up

Wlan0に1を使用できるブリッジインターフェースのデバイスを要求するオプションが表示されます。それが役に立てば幸い。

0
koolhead17